CURLOPT_NOPROGRESS(3)

NAME
CURLOPT_NOPROGRESS - switch off the progress meter

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_NOPROGRESS, long onoff);

DESCRIPTION
If onoff is to 1, it tells the library to shut off the progress meter completely for requests done with this handle. It will also prevent the CURLOPT_PROGRESSFUNCTION(3) from getting called. Future versions of libcurl are likely to not have any built-in progress meter at all.

DEFAULT
1, meaning it normally runs without a progress meter.

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
  /* enable progress meter */
  curl_easy_setopt(curl, CURLOPT_NOPROGRESS, 0L);
  /* Perform the request */
  curl_easy_perform(curl);
}

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK.

SEE ALSO
CURLOPT_PROGRESSFUNCTION(3),